$schema: 'https://json-schema.org/draft/2020-12/schema'

title: Initialize Mainline Workflow
type: object
properties:
  workorder_id:
    $ref: '../ids.json#/definitions/WorkorderId'
  requisition_id:
    $ref: '../ids.json#/definitions/RequisitionId'
  sample_type:
    $ref: '../core.json#/definitions/SampleType'
  send_kit:
    type: boolean
  re_requisition:
    type: boolean
  use_stripe:
    type: boolean
  requires_clinician_pretest_approval:
    type: boolean
  release_reports_as_ready:
    type: boolean
  accessioning_lab:
    type: string
    default: MYOME
    enum:
      - MYOME
      - BROAD
  sequencing_lab:
    type: string
    default: MYOME
    enum:
      - MYOME
      - BROAD
  gets_clinical_summary_letter:
    type: boolean
  post_test_counseling:
    $ref: '../core.json#/definitions/PostTestCounselingType'

additionalProperties: false

required:
  - workorder_id
  - requisition_id
  - sample_type
  - send_kit
  - re_requisition
  - requires_clinician_pretest_approval
  - accessioning_lab
  - release_reports_as_ready
  - sequencing_lab
